<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Transport :: HTTP</name>
    <id>activemq-transport-http</id>
    <shortDescription>ActiveMQ HTTP Message Transport</shortDescription>
    <description>ActiveMQ HTTP Message Transport</description>
  
    <package>org.codehaus.activemq.transport.http</package>
    <packageGroups>
      <packageGroup>
        <title>HTTP Message Transport</title>
        <packages>org.codehaus.activemq.transport.http</packages>
      </packageGroup>
    </packageGroups>
  
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>
      
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>
      
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-transport-xstream</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      
      <dependency>
        <groupId>commons-httpclient</groupId>
        <artifactId>commons-httpclient</artifactId>
      </dependency>
  	  
      <dependency>
        <groupId>jetty</groupId>
        <artifactId>org.mortbay.jetty</artifactId>
      </dependency>

      <dependency>
        <groupId>xstream</groupId>
        <artifactId>xstream</artifactId>
      </dependency>
      
      <dependency>
        <groupId>xmlpull</groupId>
        <artifactId>xmlpull</artifactId>
      </dependency>
      
    </dependencies>  

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>

        <!-- disableling tests --> 
        <exclude>**/HttpTransportChannelTest.*</exclude>

      </excludes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>


</project>
